'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _logo = require('./logo.svg');

var _logo2 = _interopRequireDefault(_logo);

var _logo_icon = require('./logo_icon.svg');

var _logo_icon2 = _interopRequireDefault(_logo_icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var theme = {
	header: {
		background: '#2C3E50',
		color: '#FFF'
	},

	menu: {
		background: '#3B97D3',
		color: '#FFF',
		selected: '#216795',
		hover: '#81C1EA',
		bottomBorder: '1px solid #3087bf'
	},

	footer: {
		background: '#F7F7F7',
		color: '#5E5E5E'
	},

	workspace: {
		background: '#ECF0F1',
		color: '#000'
	},

	tab: {
		background: '#3B97D3',
		color: '#FFF',
		selected: '#3B97D3',
		hover: '#81C1EA',
		unselected: '#E3E5E5'
	},
	icon: {
		default: '#34495D',
		selected: '#FFF'
	},
	logo: {
		default: _logo2.default,
		bigLogo: _logo2.default,
		smallLogo: _logo_icon2.default
	}
};

exports.default = theme;