'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.LogoImg = exports.LogoDiv = exports.HeaderDiv = undefined;

var _templateObject = _taggedTemplateLiteral(['\n\tcolor: #333;\n\tdisplay: flex;\n\tflexFlow: row nowrap;\n\twidth: 100vw;\n\theight: 80px;\n\talign-items: center;\n\tjustify-content: space-between;\n\tbackground-color: ', ';\n\tcolor: ', ';\n\t', '\n\t', '\n\t', '\n\t', '\n'], ['\n\tcolor: #333;\n\tdisplay: flex;\n\tflexFlow: row nowrap;\n\twidth: 100vw;\n\theight: 80px;\n\talign-items: center;\n\tjustify-content: space-between;\n\tbackground-color: ', ';\n\tcolor: ', ';\n\t', '\n\t', '\n\t', '\n\t', '\n']),
    _templateObject2 = _taggedTemplateLiteral(['height:80px;'], ['height:80px;']),
    _templateObject3 = _taggedTemplateLiteral(['height:50px;'], ['height:50px;']),
    _templateObject4 = _taggedTemplateLiteral(['height:30px;'], ['height:30px;']),
    _templateObject5 = _taggedTemplateLiteral(['\n\theight: 100%;\n\tmax-height: 35px;\n\talign-self: center;\n\tpadding: 5px;\n'], ['\n\theight: 100%;\n\tmax-height: 35px;\n\talign-self: center;\n\tpadding: 5px;\n']),
    _templateObject6 = _taggedTemplateLiteral(['\n\theight: 100%;\n'], ['\n\theight: 100%;\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _media = require('../../theme/media');

var _media2 = _interopRequireDefault(_media);

var _reactRouterDom = require('react-router-dom');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
// these sizes are arbitrary and you can set them to whatever you wish

// import theme from '../../theme/default'


var HeaderDiv = exports.HeaderDiv = _styledComponents2.default.div(_templateObject, function (props) {
	return props.theme.header.background;
}, function (props) {
	return props.theme.header.color;
}, _media2.default.giant(_templateObject2), _media2.default.desktop(_templateObject2), _media2.default.tablet(_templateObject3), _media2.default.phone(_templateObject4));

var LogoDiv = exports.LogoDiv = (0, _styledComponents2.default)(_reactRouterDom.Link)(_templateObject5);

var LogoImg = exports.LogoImg = _styledComponents2.default.img(_templateObject6);