'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.ScreenSizes = undefined;

var _templateObject = _taggedTemplateLiteral(['\n    @media (max-width: ', 'em) {\n      ', '\n    }\n  '], ['\n    @media (max-width: ', 'em) {\n      ', '\n    }\n  ']);

var _styledComponents = require('styled-components');

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var ScreenSizes = exports.ScreenSizes = {
	giant: 1170,
	desktop: 992,
	tablet: 768,
	phone: 376

	// iterate through the sizes and create a media template
};var media = Object.keys(ScreenSizes).reduce(function (accumulator, label) {
	// use em in breakpoints to work properly cross-browser and support users
	// changing their browsers font-size: https://zellwk.com/blog/media-query-units/
	var emSize = ScreenSizes[label] / 16;
	accumulator[label] = function () {
		return (0, _styledComponents.css)(_templateObject, emSize, _styledComponents.css.apply(undefined, arguments));
	};
	return accumulator;
}, {});

exports.default = media;